Workspace Users
List workspace users
API key issued to a Sonzai project. Format: Bearer sk_....
In: header
Query Parameters
1int641 <= value50int641 <= value <= 100Response Body
application/json
application/problem+json
curl -X GET "https://loading/api/v1/workspace-users"{
"$schema": "/api/v1/schemas/WorkspaceUsersListOutputBody.json",
"limit": 0,
"next_page": 0,
"page": 0,
"users": [
{
"$schema": "/api/v1/schemas/WorkspaceUserBody.json",
"created_at": "2019-08-24T14:15:22Z",
"display_name": "string",
"email": "string",
"force_password_change": true,
"last_login_at": "2019-08-24T14:15:22Z",
"locked_until": "2019-08-24T14:15:22Z",
"status": "string",
"updated_at": "2019-08-24T14:15:22Z",
"user_id": "string",
"username": "string"
}
]
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "string",
"message": "string",
"value": null
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Create a password-authenticated workspace user
API key issued to a Sonzai project. Format: Bearer sk_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
curl -X POST "https://loading/api/v1/workspace-users" \ -H "Content-Type: application/json" \ -d '{ "username": "string" }'{
"$schema": "/api/v1/schemas/WorkspaceUserCreateOutputBody.json",
"temp_password": "string",
"user_id": "string",
"username": "string"
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "string",
"message": "string",
"value": null
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Create up to 1,000 workspace users
API key issued to a Sonzai project. Format: Bearer sk_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
curl -X POST "https://loading/api/v1/workspace-users/bulk" \ -H "Content-Type: application/json" \ -d '{}'{
"$schema": "/api/v1/schemas/WorkspaceUsersBulkOutputBody.json",
"users": [
{
"temp_password": "string",
"user_id": "string",
"username": "string"
}
]
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "string",
"message": "string",
"value": null
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Delete a workspace user
API key issued to a Sonzai project. Format: Bearer sk_....
In: header
Path Parameters
Query Parameters
Response Body
application/problem+json
curl -X DELETE "https://loading/api/v1/workspace-users/string"{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "string",
"message": "string",
"value": null
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Update workspace user profile or status
API key issued to a Sonzai project. Format: Bearer sk_....
In: header
Path Parameters
Query Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
curl -X PUT "https://loading/api/v1/workspace-users/string" \ -H "Content-Type: application/json" \ -d '{}'{
"$schema": "/api/v1/schemas/WorkspaceUserBody.json",
"created_at": "2019-08-24T14:15:22Z",
"display_name": "string",
"email": "string",
"force_password_change": true,
"last_login_at": "2019-08-24T14:15:22Z",
"locked_until": "2019-08-24T14:15:22Z",
"status": "string",
"updated_at": "2019-08-24T14:15:22Z",
"user_id": "string",
"username": "string"
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "string",
"message": "string",
"value": null
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Reset a workspace user password
API key issued to a Sonzai project. Format: Bearer sk_....
In: header
Path Parameters
Query Parameters
Response Body
application/json
application/problem+json
curl -X POST "https://loading/api/v1/workspace-users/string/reset-password"{
"$schema": "/api/v1/schemas/WorkspaceUserResetOutputBody.json",
"temp_password": "string"
}{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "string",
"message": "string",
"value": null
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}